# $Revision: 1.10 $, $Date: 2009/03/24 15:37:36 $
Summary:	DDS (Direct Draw Surface file format) plugin for GIMP
Summary(pl.UTF-8):	Wtyczka DDS (obsługująca format Direct Draw Surface) dla GIMP-a
Name:		gimp-plugin-dds
Version:	2.0.7
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://nifelheim.dyndns.org/~cocidius/files/gimp-dds-%{version}.tar.bz2
# Source0-md5:	be4a031b36e219ec95d324649d38dc66
URL:		http://nifelheim.dyndns.org/~cocidius/dds/
BuildRequires:	OpenGL-glut-devel
BuildRequires:	gimp-devel >= 1:2.0.0
BuildRequires:	glew-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%(gimptool --gimpplugindir)/plug-ins

%description
Plugin allowing to load and save images in Direct Draw Surface (DDS)
format.

- Load/save DDS files, optionally using DXT texture compression,
- Optional automatic mipmap generation when saving,
- Load mipmaps into separate layers,
- Load cube map faces and volume map slices into separate layers,
- Save cube maps and volume maps with automatic mipmap generation
  support,
- Save image with a custom pixel format,
- Non-power-of-two image loading and saving support with automatic
  mipmap generation support.

%description -l pl.UTF-8
Wtyczka pozwalająca wczytywać i zapisywać obrazy w formacie Direct
Draw Surface (DDS).

- Odczyt/zapis plików DDS, opcjonalna kompresja tekstur DXT,
- Opcjonalna automatyczna generacja mipmap podczas zapisu,
- Ładowanie mipmap do osobnych warstw,
- Ładowanie ścian cube mapy i przekrojów volume mapy do osobnych
  warstw,
- Zapisywanie cube map i volume map z automatyczną generacją mipmap,
- Zapisywanie obrazów z własnym formatem pikseli,
- Ładowanie i zapisywanie obrazów o wymiarach różnych od potęg
  dwójki z automatyczną generacją mipmap.

%prep
%setup -q -n gimp-dds-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} `gimptool --cflags` -DGETTEXT_PACKAGE" \
	GIMPTOOL="gimptool"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir}

install dds $RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimp-plugin-dds.spec,v $
Revision 1.10  2009/03/24 15:37:36  duddits
- up to 2.0.7

Revision 1.9  2008/09/01 12:43:57  arekm
- release 4

Revision 1.8  2008/08/26 16:22:52  qboosh
- sorted BRs, informative summaries

Revision 1.7  2008/08/26 13:57:21  pluto
- BR: s/glut-devel/OpenGL-glut-devel.
- release 3 for rebuild with new libglew soname.

Revision 1.6  2008/07/27 22:20:04  arekm
- release 2

Revision 1.5  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.3  2006/03/23 21:13:50  wolf
- add -devel to BRs

Revision 1.2  2006/03/23 21:00:53  wolf
- 1.0.1

Revision 1.1  2005/02/05 16:06:41  wolf
- new
